## tegaki-zinnia-japanese 0.3

=== Makefile ===
modelfile=handwriting-ja

$(modelfile).model: $(modelfile).xml
	tegaki-build -t $(modelfile).xml zinnia $(modelfile).meta

installpath=/usr/local/share/tegaki/models/zinnia/

install: $(modelfile).model
	mkdir -p $(installpath)
	install -c $(modelfile).meta $(modelfile).model $(installpath)

=== debian/changelog ===
tegaki-zinnia-japanese (0.3-3) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.6.0, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 13 Oct 2022 14:11:32 +0100

tegaki-zinnia-japanese (0.3-2) unstable; urgency=medium

  * QA upload.
  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Sun, 15 Aug 2021 11:52:12 -0400

tegaki-zinnia-japanese (0.3-2~exp1) experimental; urgency=medium

  * QA upload.
  * debian/control:
    + Bump debhelper compat to v13. (Closes: #965830)
    + Update homepage information.
    + Bump Standards-Version to 4.5.1.
    + Mark binary package as Multi-Arch: foreign.
    + Use git repo on Debian Salsa platform.
  * debian/rules: Use dh sequencer.
  * debian/watch: Fix upstream version monitor.
  * debian/changelog: Remove trailing spaces.
  * debian/copyright: Rewrite in machine-readable format.

 -- Boyuan Yang <byang@debian.org>  Sat, 10 Apr 2021 11:11:19 -0400

tegaki-zinnia-japanese (0.3-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Fri, 01 Jan 2021 16:42:08 +0100

tegaki-zinnia-japanese (0.3-1) unstable; urgency=low

  * new upstream release.
  * debian/watch: updated.
  * debian/control:
    - bump standards version to 3.8.3.
    - no longer build depends on python.
  * debian/rules: updated.
  * debian/docs: updated.
  * debian/copyright: updated.

 -- LI Daobing <lidaobing@debian.org>  Tue, 03 Nov 2009 22:41:14 +0800

tegaki-zinnia-japanese (0.2-1) unstable; urgency=low

  * New Upstream Version
  * debian/control: bump standards version to 3.8.2.

 -- LI Daobing <lidaobing@debian.org>  Sun, 16 Aug 2009 12:02:10 +0800

tegaki-zinnia-japanese (0.1-1) unstable; urgency=low

  * Initial release (closes: #514977)

 -- LI Daobing <lidaobing@debian.org>  Wed, 22 Apr 2009 21:17:57 +0800

=== debian/control ===
Source: tegaki-zinnia-japanese
Section: utils
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://tegaki.github.io/
Vcs-Git: https://salsa.debian.org/debian/tegaki-zinnia-japanese.git
Vcs-Browser: https://salsa.debian.org/debian/tegaki-zinnia-japanese

Package: tegaki-zinnia-japanese
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Japanese handwriting model for Zinnia
 Zinnia is a simple, customizable and portable online hand recognition
 system based on Support Vector Machines. Zinnia simply receives user pen
 strokes as a sequence of coordinate data and outputs n-best characters
 sorted by SVM confidence. To keep portability, Zinnia doesn't have any
 rendering functionality. In addition to recognition, Zinnia provides
 training module that allows us to create any hand-written recognition
 systems with low-cost.
 .
 This package provide a data model for Zinnia. With this model, Zinnia can
 recognize Japanese character.
 .
 This data model is derived from tomoe project: http://tomoe.sourceforge.jp

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:

override_dh_auto_build:

override_dh_auto_install:

## tegaki-zinnia-japanese 0.3-1maemo1

=== debian/changelog ===
tegaki-zinnia-japanese (0.3-1maemo1) unstable; urgency=low

  * ported to maemo.
  * seperate doc package from original
  * add maemo-optify build option

 -- Takahiro Hashimoto <kenya888@gmail.com> <kenya888@gmail.com>  Wed, 20 Oct 2010 03:03:26 +0900

=== debian/control ===
Source: tegaki-zinnia-japanese
Section: utils
Priority: optional
Maintainer: Takahiro Hashimoto <kenya888@gmail.com>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.8.3
Homepage: http://tegaki.sourceforge.net/
Vcs-Browser: http://git.debian.org/?p=collab-maint/tegaki-zinnia-japanese.git
Vcs-Git: git://git.debian.org/collab-maint/tegaki-zinnia-japanese.git

Package: tegaki-zinnia-japanese
Architecture: all
Section: user/utilities
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Japanese handwriting model for Zinnia
 Zinnia is a simple, customizable and portable online hand recognition
 system based on Support Vector Machines. Zinnia simply receives user pen
 strokes as a sequence of coordinate data and outputs n-best characters
 sorted by SVM confidence. To keep portability, Zinnia doesn't have any
 rendering functionality. In addition to recognition, Zinnia provides
 training module that allows us to create any hand-written recognition
 systems with low-cost.
 .
 This package provide a data model for Zinnia. With this model, Zinnia can
 recognize Japanese character.
 .
 This data model is derived from tomoe project: http://tomoe.sourceforge.jp

Package: tegaki-zinnia-japanese-doc
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: doc for tegaki-zinnia-japanese.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp

build-stamp:
	dh_testdir
	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	mkdir -p $(CURDIR)/debian/tegaki-zinnia-japanese/usr/share/tegaki/models/zinnia
	cp handwriting-ja.model handwriting-ja.meta $(CURDIR)/debian/tegaki-zinnia-japanese/usr/share/tegaki/models/zinnia

# Build architecture-independent files here.
binary-arch: build install
# We have nothing to do by default.

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
#	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	maemo-optify
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
version=3
http://www.tegaki.org/releases/([\d.]+)/models/tegaki-zinnia-japanese-([\d.]+).zip
